package org.eclipse.soda.dk.gps.nmea.adapter.test.service;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * Global Positioning System (GPS) National Marine Electronics Association (NMEA) Adapter Test.
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface GpsNmeaAdapterTestService {
	/**
	 * Define the OSGi service name.
	 * @since 1.0
	 */
	/* Generated field and should not be changed. */
	public static final String SERVICE_NAME = "org.eclipse.soda.dk.gps.nmea.adapter.test.service.GpsNmeaAdapterTestService"; //$NON-NLS-1$

	/**
	 * Define the OSGi managed service name.
	 * @since 1.0
	 */
	/* Generated field and should not be changed. */
	public static final String MANAGED_SERVICE_NAME = "org.eclipse.soda.dk.gps.nmea.adapter.test.managed.GpsNmeaAdapterTestManaged"; //$NON-NLS-1$

	/**
	 * Define the OSGi factory service name.
	 * @since 1.0
	 */
	/* Generated field and should not be changed. */
	public static final String FACTORY_SERVICE_NAME = "org.eclipse.soda.dk.gps.nmea.adapter.test.factory.GpsNmeaAdapterTestFactory"; //$NON-NLS-1$

	/**
	 * Description of the test.
	 * @since 1.1
	 */
	/* Generated field and should not be changed. */
	public static final String SERVICE_DESCRIPTION = "Global Positioning System (GPS) National Marine Electronics Association (NMEA) Adapter Test"; //$NON-NLS-1$
}
