package org.eclipse.soda.dk.gps.nmea.device.testcase;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import junit.textui.TestRunner;

import org.eclipse.soda.dk.device.service.DeviceService;
import org.eclipse.soda.dk.device.testcase.DeviceTestcase;
import org.eclipse.soda.dk.gps.nmea.device.GpsNmeaDevice;
import org.eclipse.soda.dk.gps.nmea.device.testcase.service.GpsNmeaDeviceTestcaseService;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class GpsNmeaDeviceTestcase extends DeviceTestcase implements GpsNmeaDeviceTestcaseService {
	/**
	 * GpsNmeaDeviceTestcase.
	 * @since 1.0
	 */
	public GpsNmeaDeviceTestcase() {
		/* Generated method and should not be changed. */
		super();
	}

	/**
	 * GpsNmeaDeviceTestcase.
	 * @param name name.
	 * @since 1.0
	 */
	public GpsNmeaDeviceTestcase(final String name) {
		/* Generated method and should not be changed. */
		super(name);
	}

	/**
	 * Main method to run tests in a stand alone mode.
	 * 
	 * @param arguments
	 * @see org.eclipse.soda.dk.gps.nmea.device.GpsNmeaDevice
	 * @since 1.0
	 */
	public static void main(final String[] arguments) {
		/* Generated method and should not be changed. */
		TestRunner.run(GpsNmeaDeviceTestcase.class);
		System.exit(0);
	}

	/**
	 * Create device and return the DeviceService.
	 * @return Results of the create device (<code>DeviceService</code>) value.
	 * @since 1.0
	 */
	public DeviceService createDevice() {
		/* Generated method and should not be changed. */
		return new GpsNmeaDevice();
	}
}
