package org.eclipse.soda.dk.gps.nmea.position.profile.test.service;

/*************************************************************************
 * Copyright (c) 2008, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * Gps Nmea Profile Test.
 * 
 *  @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface GpsNmeaPositionProfileTestService {
	/**
	 * Define the OSGi service name.
	 * @since 1.1
	 */
	// Generated field and should not be changed.
	public static final String SERVICE_NAME = "org.eclipse.soda.dk.gps.nmea.position.profile.test.service.GpsNmeaPositionProfileTestService"; //$NON-NLS-1$

	/**
	 * Define the OSGi managed service name.
	 * @since 1.1
	 */
	// Generated field and should not be changed.
	public static final String MANAGED_SERVICE_NAME = "org.eclipse.soda.dk.gps.nmea.position.profile.test.managed.GpsNmeaPositionProfileTestManaged"; //$NON-NLS-1$

	/**
	 * Define the OSGi factory service name.
	 * @since 1.1
	 */
	// Generated field and should not be changed.
	public static final String FACTORY_SERVICE_NAME = "org.eclipse.soda.dk.gps.nmea.position.profile.test.factory.GpsNmeaPositionProfileTestFactory"; //$NON-NLS-1$

	/**
	 * Description of the test.
	 * @since 1.1
	 */
	// Generated field and should not be changed.
	public static final String SERVICE_DESCRIPTION = "Gps Nmea Profile Test"; //$NON-NLS-1$
}
