package org.eclipse.soda.dk.gps.nmea.device.swt;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.device.service.DeviceService;
import org.eclipse.soda.dk.device.swt.DeviceSwt;
import org.eclipse.soda.dk.gps.nmea.device.GpsNmeaDevice;
import org.eclipse.soda.dk.gps.nmea.device.swt.service.GpsNmeaDeviceSwtService;

/**
 * TEST CASE
 */
public class GpsNmeaDeviceSwt extends DeviceSwt implements GpsNmeaDeviceSwtService {
	/**
	 * GpsNmeaDeviceSwt.
	 * @since 1.1
	 */
	public GpsNmeaDeviceSwt() {
		/* Generated method and should not be changed. */
		super();
	}

	/**
	 * Main method to run tests in a stand alone mode.
	 * 
	 * @param arguments
	 * @see org.eclipse.soda.dk.gps.nmea.device.GpsNmeaDevice
	 * @since 1.1
	 */
	public static void main(final String[] arguments) {
		/* Generated method and should not be changed. */
		final GpsNmeaDeviceSwt userInterfaceSwt = new GpsNmeaDeviceSwt();
		userInterfaceSwt.run(arguments);
	}

	/**
	 * Create device and return the DeviceService.
	 * @return Results of the create device (<code>DeviceService</code>) value.
	 * @since 1.1
	 */
	public DeviceService getDefaultDevice() {
		/* Generated method and should not be changed. */
		return new GpsNmeaDevice();
	}
}
