package org.eclipse.soda.dk.gps.nmea.transport.testcase;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import junit.textui.TestRunner;

import org.eclipse.soda.dk.gps.nmea.transport.GpsNmeaTransport;
import org.eclipse.soda.dk.gps.nmea.transport.testcase.service.GpsNmeaTransportTestcaseService;
import org.eclipse.soda.dk.transport.service.TransportService;
import org.eclipse.soda.dk.transport.testcase.TransportTestcase;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class GpsNmeaTransportTestcase extends TransportTestcase implements GpsNmeaTransportTestcaseService {
	/**
	 * GpsNmeaTransportTestcase.
	 * @since 1.0
	 */
	public GpsNmeaTransportTestcase() {
		/* Generated method and should not be changed. */
		super();
	}

	/**
	 * GpsNmeaTransportTestcase.
	 * @param name name.
	 * @since 1.0
	 */
	public GpsNmeaTransportTestcase(final String name) {
		/* Generated method and should not be changed. */
		super(name);
	}

	/**
	 * Main method to run tests in a stand alone mode.
	 * 
	 * @param arguments
	 * @see org.eclipse.soda.dk.gps.nmea.transport.GpsNmeaTransport
	 * @since 1.0
	 */
	public static void main(final String[] arguments) {
		/* Generated method and should not be changed. */
		TestRunner.run(GpsNmeaTransportTestcase.class);
		System.exit(0);
	}

	/**
	 * Create transport and return the TransportService.
	 * @return Results of the create transport (<code>TransportService</code>) value.
	 * @since 1.0
	 */
	public TransportService createTransport() {
		/* Generated method and should not be changed. */
		return new GpsNmeaTransport();
	}
}
